Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class FieldDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
              org.apache.cocoon.forms.formmodel.FieldDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

Direct Known Subclasses:
  AggregateFieldDefinition, CalculatedFieldDefinition, CaptchaFieldDefinition, MultiValueFieldDefinition, RepeaterFilterFieldDefinition

public class FieldDefinition
extends AbstractDatatypeWidgetDefinition

The `WidgetDefinition` part of a Field widget, see `Field` for more information.

Version:
  $Id: FieldDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`FieldDefinition()`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`SelectionList` | `getSuggestionList()`
`Whitespace` | `getWhitespaceTrim()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`boolean` | `isRequired()`
`void` | `setRequired(boolean required)`
`void` | `setSuggestionList(SelectionList list)`
`void` | `setWhitespaceTrim(Whitespace whitespaceTrim)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
`addValueChangedListener, buildSelectionList, buildSelectionListFromModel, checkCompleteness, fireValueChangedEvent, getDatatype, getInitialValue, getSelectionList, getValueChangedListener, hasValueChangedListeners, setDatatype, setProcessInfoProvider, setSelectionList, setSourceResolver, setXmlizer`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDefinition

    public FieldDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractDatatypeWidgetDefinition`
  Throws:
    `Exception`

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

### getWhitespaceTrim

    public Whitespace getWhitespaceTrim()

### setWhitespaceTrim

    public void setWhitespaceTrim(Whitespace whitespaceTrim)

### getSuggestionList

    public SelectionList getSuggestionList()

### setSuggestionList

    public void setSuggestionList(SelectionList list)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.